Package Details: dino 0.0+r562+g388cc56-1

Git Clone URL: https://aur.archlinux.org/dino.git (read-only)
Package Base: dino
Description: Modern XMPP (Jabber) chat client written in GTK+/Vala
Upstream URL: https://dino.im
Licenses: GPL3
Submitter: flacks
Maintainer: flacks
Last Packager: flacks
Votes: 7
Popularity: 0.99
First Submitted: 2019-04-16 02:05
Last Updated: 2019-11-02 04:26

Latest Comments

kousu commented on 2019-11-12 19:58

I think the problem is upstream; maybe they don't support this vala version? https://github.com/dino/dino/issues/646

kousu commented on 2019-11-12 19:22

I'm currently getting several compiler errors trying to build this:

[435/733] Generating C source src/ui/util/helper.c
/home/kousu/.cache/pikaur/build/dino/src/dino/main/src/ui/util/helper.vala:180.16-180.26: warning: local variable `muc_manager' declared but never used
    MucManager muc_manager = stream_interactor.get_module(MucManager.IDENTITY);
               ^^^^^^^^^^^
Compilation succeeded - 1 warning(s)
[455/733] Building C object main/CMakeFiles/dino.dir/src/ui/avatar_image.c.o
avatar_image.c: In function ‘dino_ui_avatar_image_get_type’:
avatar_image.c:2049:3: warning: ‘gtk_misc_get_type’ is deprecated [-Wdeprecated-declarations]
In file included from /usr/include/gtk-3.0/gtk/gtklabel.h:32,
                 from /usr/include/gtk-3.0/gtk/gtkaccellabel.h:35,
                 from /usr/include/gtk-3.0/gtk/gtk.h:33,
                 from main/src/ui/avatar_image.c:4:
/usr/include/gtk-3.0/gtk/deprecated/gtkmisc.h:70:9: note: declared here
   70 | GType   gtk_misc_get_type      (void) G_GNUC_CONST;
      |         ^~~~~~~~~~~~~~~~~
[485/733] Building C object main/CMakeFiles/di...rsation_summary/conversation_item_skeleton.c.o
/home/kousu/.cache/pikaur/build/dino/src/dino/main/src/ui/conversation_summary/conversation_item_skeleton.vala: In function ‘dino_ui_conversation_summary_item_meta_data_header_class_init’:
/home/kousu/.cache/pikaur/build/dino/src/dino/main/src/ui/conversation_summary/conversation_item_skeleton.vala:108:2: warning: ‘gtk_icon_size_register’ is deprecated [-Wdeprecated-declarations]
  108 |     public static IconSize ICON_SIZE_HEADER = Gtk.icon_size_register("im.dino.Dino.HEADER_ICON", 17, 12);
      |  ^  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/gtk-3.0/gtk/gtkstyleprovider.h:27,
                 from /usr/include/gtk-3.0/gtk/gtkstylecontext.h:27,
                 from /usr/include/gtk-3.0/gtk/gtkicontheme.h:27,
                 from /usr/include/gtk-3.0/gtk/gtk.h:127,
                 from main/src/ui/conversation_summary/conversation_item_skeleton.c:4:
/usr/include/gtk-3.0/gtk/deprecated/gtkiconfactory.h:122:23: note: declared here
  122 | GtkIconSize           gtk_icon_size_register       (const gchar *name,
      |                       ^~~~~~~~~~~~~~~~~~~~~~
[519/733] Generating C source src/file_transfer/file_decryptor.c
FAILED: plugins/openpgp/src/file_transfer/file_decryptor.c 
cd /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp && /usr/bin/valac -C -d /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer --pkg=gee-0.8 --pkg=glib-2.0 --pkg=gmodule-2.0 --pkg=gobject-2.0 --pkg=gtk+-3.0 --gresources /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/resources/.gresource.xml -g --target-glib=2.38 --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer/file_encryptor.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_entry.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_widget.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/contact_details_provider.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/database.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/encryption_list_entry.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/manager.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/plugin.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/register_plugin.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_flag.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_module.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/util.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/plugins/openpgp/src/file_transfer/file_decryptor.vala /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/gpgme.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/xmpp-vala.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/qlite.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/dino.vapi
stream_module.vapi:65.4-65.41: error: A const field requires a value to be provided
            internal const string NS_URI_ENCRYPTED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
stream_module.vapi:67.4-67.38: error: A const field requires a value to be provided
            internal const string NS_URI_SIGNED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Compilation failed: 2 error(s), 0 warning(s)
[520/733] Generating C source src/register_plugin.c
FAILED: plugins/openpgp/src/register_plugin.c 
cd /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp && /usr/bin/valac -C -d /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src --pkg=gee-0.8 --pkg=glib-2.0 --pkg=gmodule-2.0 --pkg=gobject-2.0 --pkg=gtk+-3.0 --gresources /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/resources/.gresource.xml -g --target-glib=2.38 --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer/file_decryptor.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer/file_encryptor.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_entry.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_widget.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/contact_details_provider.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/database.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/encryption_list_entry.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/manager.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/plugin.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_flag.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_module.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/util.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/plugins/openpgp/src/register_plugin.vala /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/gpgme.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/xmpp-vala.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/qlite.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/dino.vapi
stream_module.vapi:65.4-65.41: error: A const field requires a value to be provided
            internal const string NS_URI_ENCRYPTED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
stream_module.vapi:67.4-67.38: error: A const field requires a value to be provided
            internal const string NS_URI_SIGNED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Compilation failed: 2 error(s), 0 warning(s)
[521/733] Generating C source src/contact_details_provider.c
FAILED: plugins/openpgp/src/contact_details_provider.c 
cd /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp && /usr/bin/valac -C -d /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src --pkg=gee-0.8 --pkg=glib-2.0 --pkg=gmodule-2.0 --pkg=gobject-2.0 --pkg=gtk+-3.0 --gresources /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/resources/.gresource.xml -g --target-glib=2.38 --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer/file_decryptor.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer/file_encryptor.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_entry.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_widget.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/database.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/encryption_list_entry.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/manager.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/plugin.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/register_plugin.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_flag.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_module.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/util.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/plugins/openpgp/src/contact_details_provider.vala /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/gpgme.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/xmpp-vala.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/qlite.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/dino.vapi
stream_module.vapi:65.4-65.41: error: A const field requires a value to be provided
            internal const string NS_URI_ENCRYPTED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
stream_module.vapi:67.4-67.38: error: A const field requires a value to be provided
            internal const string NS_URI_SIGNED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Compilation failed: 2 error(s), 0 warning(s)
[522/733] Generating C source src/database.c
FAILED: plugins/openpgp/src/database.c 
cd /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp && /usr/bin/valac -C -d /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src --pkg=gee-0.8 --pkg=glib-2.0 --pkg=gmodule-2.0 --pkg=gobject-2.0 --pkg=gtk+-3.0 --gresources /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/resources/.gresource.xml -g --target-glib=2.38 --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer/file_decryptor.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer/file_encryptor.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_entry.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_widget.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/contact_details_provider.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/encryption_list_entry.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/manager.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/plugin.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/register_plugin.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_flag.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_module.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/util.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/plugins/openpgp/src/database.vala /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/gpgme.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/xmpp-vala.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/qlite.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/dino.vapi
stream_module.vapi:65.4-65.41: error: A const field requires a value to be provided
            internal const string NS_URI_ENCRYPTED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
stream_module.vapi:67.4-67.38: error: A const field requires a value to be provided
            internal const string NS_URI_SIGNED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Compilation failed: 2 error(s), 0 warning(s)
[523/733] Generating C source src/encryption_list_entry.c
FAILED: plugins/openpgp/src/encryption_list_entry.c 
cd /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp && /usr/bin/valac -C -d /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src --pkg=gee-0.8 --pkg=glib-2.0 --pkg=gmodule-2.0 --pkg=gobject-2.0 --pkg=gtk+-3.0 --gresources /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/resources/.gresource.xml -g --target-glib=2.38 --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer/file_decryptor.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/file_transfer/file_encryptor.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_entry.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/account_settings_widget.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/contact_details_provider.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/database.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/manager.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/plugin.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/register_plugin.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_flag.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/stream_module.vapi --use-fast-vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/plugins/openpgp/src/util.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/plugins/openpgp/src/encryption_list_entry.vala /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/gpgme.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/xmpp-vala.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/qlite.vapi /home/kousu/.cache/pikaur/build/dino/src/dino/build/exports/dino.vapi
stream_module.vapi:65.4-65.41: error: A const field requires a value to be provided
            internal const string NS_URI_ENCRYPTED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
stream_module.vapi:67.4-67.38: error: A const field requires a value to be provided
            internal const string NS_URI_SIGNED;
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Compilation failed: 2 error(s), 0 warning(s)
[524/733] Building C object main/CMakeFiles/dino.dir/src/ui/util/helper.c.o
ninja: build stopped: subcommand failed.
make: *** [Makefile:2: default] Error 1
==> ERROR: A failure occurred in build().
    Aborting...